招待対象者はすでにメンバーです

Moses Skodaエンジニア読了目安 1分

API は、この問題が発生すると 409 Conflict を返します。その type は https://lingo.dev/docs/api/errors/invitee-already-member です。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。

ada@example.com を招待できません。このアドレスはすでに組織 <organizationId> のメンバーが使用しており、招待してもロールは変わりません。ロールを変更するには、組織のメンバー一覧から操作してください。

フィールド#

本文には、標準の type、status、title、detail の各メンバーに加えて、以下のフィールドが含まれます。detail のテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
organizationIdstring
emailstring

例#

json
{
  "detail": "Cannot invite ada@example.com. That address already belongs to a member of organization <organizationId>, and an invitation would not change their role. Change their role through the organization members instead.",
  "organizationId": "<organizationId>",
  "email": "ada@example.com",
  "type": "https://lingo.dev/docs/api/errors/invitee-already-member",
  "status": 409,
  "title": "Invitee already a member"
}

このエラーを返すエンドポイント#

  • POST /v2/organizations/{orgId}/invites